Skip to main content

List the keys

This key management operation allows the listing of the keys from the repository.

Allowed usersUser✓Master✗ExtAuth✓
Required access scopekeymgmt:list

List the keys​

GEThttps://my.ence.do/api/keymgmt/list
GEThttps://my.ence.do/api/keymgmt/list/{offset}
GEThttps://my.ence.do/api/keymgmt/list/{offset}/{count}

List the keys stored in the repository, with pagination: without arguments the first page (up to 15 records) is returned; offset skips that many valid records; count sets the page size.

Headers​

NameTypeDescription
Authorization*StringBearer JWT_TOKEN

Path Parameters​

NameTypeDescription
offsetNumberNumber of valid records to skip (decimal digits only).
countNumberNumber of records to return (requires offset); default is 15.

Response status code​

{
"offset": 0,
"total": 5,
"listed": 5,
"list": [{
"kid": "d4fda14010b3acd0d5482d9881a03fbf",
"created": 1647381409,
"type": "ATT,PKEY,GENERIC_DER",
"label": "TLS PrivateKey",
"descr": "RE5TOmlwMTEuZW5jZS5kbw==",
"updated": 1647381409
}, {
"kid": "761bbb76b4dcffd9a78df8b992caa0b6",
"created": 1647381469,
"type": "CERT,GENERIC_DER",
"label": "TLS Certificate",
"descr": "RE5TOmlwMTEuZW5jZS5kbw==",
"updated": 1647381469
}, {
"kid": "8b7eeb47a28bedb068915bf6513815f1",
"created": 1647804527,
"type": "ATT,PKEY,ECDH,CURVE25519",
"label": "Test key 1",
"updated": 1647804527
}, {
"kid": "aad3eabce0b97242fe328fbb2973b17c",
"created": 1647804552,
"type": "ATT,PKEY,ECDH,ExDSA,SECP384R1",
"label": "Signing key",
"updated": 1647804552
}, {
"kid": "4111bc76291bff8d319a056f15bb46f0",
"created": 1647802803,
"type": "ATT,PKEY,ECDH,CURVE448",
"label": "Chris main Transfer key",
"descr": "RVRTRlRYNTcyMDc0NzI1MjI1NTE3OWNocmlzQGVuY2Vkby5jb20=",
"updated": 1647802803
}]
}

Response data for successful operation​

NameTypeDescription
listedNumberNumber of listed keys
listArray of objectsAn array of keys details
offsetNumberNumber of skipped keys (offset)
totalNumberNumber of keys in repository
The list object contains:
createdNumberCreation timestamp
descrStringBase64 encoded additional description
kidStringKey ID, 32 chars hex string
labelStringKey label
typeStringType of a key
updatedNumberLast update timestamp

Log entries​

EventResultSource
LOG_TYPE_FAILED_SCOPE_CHECKLOG_RESULT_FAILED403